search

Returns all charges.

Request query params

Pagination

fieldrequired [flow]typedescription
skip-numberA pagination parameter to skip first N transactions from the list, default = 0
limit-numberA pagination parameter to limit output to N , default = 100, maximum value = 1000
sortkey-stringA sorting key parameter, i.e. created_at
sortdirection-stringA sorting order direction parameter ASC or DESC (DESC by default)

Filters

fieldrequired [flow]typedescription
subscription_id-string (24 hex characters)To fetch only those charges which are related to a particular subscription
gateway_id-string (24 hex characters)To fetch only those charges which are created with a particular gateway
company_id-string (24 hex characters)To fetch charges created within a particular company
status-string[,string]To fetch only those charges which have a particular status. See Status table. It can be one or several statuses, separated by commas.
gateway_type-string[,string]To fetch only those charges which have a particular gateway type. See Gateway types table. It can be one or several gateway types, separated by commas.
archived-boolTo fetch only archived charges. If set to true, it will show all the archived charges. Default: false
reference-stringTo fetch only those charges which have a particular reference. transaction_external_id can also be used to search by reference
one_off-boolTo fetch only one-off charges. If set to true, it will show charges without a subscription only. If set to false, it will show charges created by subscriptions only
amount-stringTo fetch charges with a particular amount only
card_number_last4-stringTo fetch charges with particular last 4 digits in the payment source card number
transaction_type-string[,string]To fetch transactions with a particular status. See Transaction types table
only_matched_transactions-boolIf set to true, it will filter transactions by the transaction_type. Default: false
authorization-boolIf set to true, it will filter charges followed authorization flow. If set to false, it will filter charges followed capture flow

Other

fieldrequired [flow]typedescription
created_at.from-stringA parameter to set a charge creation date range (from)
created_at.to-stringA parameter to set a charge creation date range (to)
updated_at.from-string (ISO 8601 format - yyyy-mm-ddThh:mm:ss.sssZ)A parameter to set a charge update date range (from)
updated_at.to-string (ISO 8601 format - yyyy-mm-ddThh:mm:ss.sssZ)A parameter to set charge update date range (to)
range.key-stringKey which is used for date range filtering. Available values: created_at, updated_at, transactions.remittance_date
range.from-(ISO 8601 format - yyyy-mm-ddThh:mm:ss.sssZ)A parameter to set a charge range (from). Based on range.key param
range.to-(ISO 8601 format - yyyy-mm-ddThh:mm:ss.sssZ)A parameter to set a charge range (to). Based on range.key param
search-stringInitiates a search by a word or phrase (search works by fields: First, Last names and Emails)
select-string[,string]Choose what fields from charge will be returned in the search result
view_mode-stringUsed for charge decomposition.
Available values: charge, transaction.
expand-array(value,value,...)current_subscription_details Displays detailed information from the subscription history. This parameter returns a ‘snapshot’ of the Subscription at the point of time when the Charge request was triggered. subscription Displays ‘live’ information from the Subscription service at the time of the API request. possible_fields Extends the meta with information about possible charge fields in the response. possible_transaction_fields Extends the meta with information about possible charge transaction fields in the response. possible_custom_transaction_fields Extends the meta with information about possible charge transaction custom fields in the response
query_token Extend the query token used for generating reports(view_mode and select params required for generating it)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Headers
string

This is your PowerBoard API Secret Key

Response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json